import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCService } from '@loafer/ng-rpc';

import { Domain } from '@overflow/commons-typescript/model/domain';

import { NoAuthProbe } from '@overflow/commons-typescript/model/noauth';


@Injectable()
export class NoAuthProbeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAllByDomainID(domainID: number): Observable<NoAuthProbe[]> {
    return this.rpcService.call<NoAuthProbe[]>('NoAuthProbeService.readAllByDomainID', domainID);
  }

  public acceptNoAuthProbe(noAuthProbeID: number): Observable<NoAuthProbe[]> {
    return this.rpcService.call<NoAuthProbe[]>('NoAuthProbeService.acceptNoAuthProbe', noAuthProbeID);
  }

  public denyNoauthProbe(noAuthProbeID: number): Observable<NoAuthProbe[]> {
    return this.rpcService.call<NoAuthProbe[]>('NoAuthProbeService.denyNoauthProbe', noAuthProbeID);
  }
}
